[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

xorg: Changes to 'debian-experimental'



 debian/changelog                |    4 ++
 debian/xserver-xorg.postinst.in |   64 ++--------------------------------------
 2 files changed, 8 insertions(+), 60 deletions(-)

New commits:
commit e8bbe68d104a5229df6a5c98b3f48e3e421f6ca8
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Feb 2 14:36:44 2009 +0100

    xserver-xorg.postinst: no need to define functions twice
    
    Drop duplicate definitions of the debug_echo and
    validate_string_db_input shell functions.

diff --git a/debian/changelog b/debian/changelog
index 99a225f..f1b6347 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -13,6 +13,8 @@ xorg (1:7.4~6) UNRELEASED; urgency=low
   * Xwrapper.config(5): X is installed as /usr/bin/X, not /usr/bin/X11R6/X.
   * Use case-insensitive matching when trying to replace obsolete drivers in
     xorg.conf.  Use the C locale to make sure this works as expected.
+  * xserver-xorg.postinst: drop duplicate definitions of the debug_echo and
+    validate_string_db_input shell functions.
 
  -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 23 Jan 2009 14:53:45 +0200
 
diff --git a/debian/xserver-xorg.postinst.in b/debian/xserver-xorg.postinst.in
index eed29e5..7b540b7 100644
--- a/debian/xserver-xorg.postinst.in
+++ b/debian/xserver-xorg.postinst.in
@@ -40,54 +40,6 @@ debug_echo () {
   fi
 }
 
-validate_string_db_input () {
-  # Syntax: validate_string_db_input priority template
-  #
-  # validate string input; can't have doublequotes
-  # If $MAY_BE_NULL is a non-null value (e.g., "yes"), the string may be null.
-  if [ $# -ne 2 ]; then
-    echo "internal error: validate_string_db_input() called with wrong number of arguments: $*" >&2
-    exit 1
-  fi
-  PRIORITY="$1"
-  TEMPLATE="$2"
-  db_get "$TEMPLATE"
-  SAFE="$RET"
-  set +e
-  while :; do
-    db_input "$PRIORITY" "$TEMPLATE"
-    # is the question going to be asked?
-    if [ $? -eq 30 ]; then
-      break # no; bail out of validation loop
-    fi
-    db_go
-    db_get "$TEMPLATE"
-    if [ -n "$RET" ]; then
-      if ! expr "$RET" : '.*".*' > /dev/null 2>&1; then
-        break # valid input
-      else
-        ERROR="xserver-xorg/config/doublequote_in_string_error"
-      fi
-    else
-      if [ -n "$MAY_BE_NULL" ]; then
-        break # valid (null) input
-      else
-        ERROR="xserver-xorg/config/null_string_error"
-      fi
-    fi
-    # we only get to this point if the input was invalid; restore the known
-    # good value in case we are interrupted before the user provides a valid
-    # one
-    db_set "$TEMPLATE" "$SAFE"
-    db_fset "$TEMPLATE" seen false
-    # now show the user the error message
-    db_fset "$ERROR" seen false
-    db_input critical "$ERROR"
-    db_go
-  done
-  set -e
-}
-
 CONFIG_DIR="/etc/X11"
 CONFIG_AUX_DIR=/var/lib/x11
 SERVER_SYMLINK="$CONFIG_DIR/X"
@@ -108,14 +60,6 @@ MULTIHEAD=
 # get machine architecture
 ARCH=$(dpkg --print-installation-architecture)
 
-debug_echo () {
-  # Syntax: debug_echo message ...
-  if [ -n "$DEBUG_XORG_DEBCONF" ] || [ "$DEBCONF_DEBUG" = "user" ] \
-    || [ "$DEBCONF_DEBUG" = '.*' ]; then
-    DEBUG_XORG_PACKAGE=yes observe "$*"
-  fi
-}
-
 debug_report_status () {
   # Syntax: debug_report_status command exit_status
   debug_echo "$1 exited with status $2"

commit c98293ef068cb4060ac4019455bad758f9ba70df
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu Feb 5 02:47:30 2009 +0100

    Improve matching for obsolete via and i810 drivers
    
    Use case-insensitive matching when trying to replace obsolete drivers in
    xorg.conf.  Use the C locale to make sure this works as expected.

diff --git a/debian/changelog b/debian/changelog
index f565e9e..99a225f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -11,6 +11,8 @@ xorg (1:7.4~6) UNRELEASED; urgency=low
   [ Julien Cristau ]
   * Xsession(5): fix the manpage references.
   * Xwrapper.config(5): X is installed as /usr/bin/X, not /usr/bin/X11R6/X.
+  * Use case-insensitive matching when trying to replace obsolete drivers in
+    xorg.conf.  Use the C locale to make sure this works as expected.
 
  -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 23 Jan 2009 14:53:45 +0200
 
diff --git a/debian/xserver-xorg.postinst.in b/debian/xserver-xorg.postinst.in
index 629291e..eed29e5 100644
--- a/debian/xserver-xorg.postinst.in
+++ b/debian/xserver-xorg.postinst.in
@@ -956,10 +956,10 @@ elif dpkg --compare-versions "$2" lt-nl "1:7.4~3"; then
   # We're upgrading from pre-7.4.  We need to replace i810 with intel, and
   # via with openchrome.
   if [ -e "$XORGCONFIG" ]; then
-    sed -e'
-	/^[[:space:]]*Section[[:space:]]\+"Device"[[:space:]]*$/,/^[[:space:]]*EndSection[[:space:]]*$/ {
-	/^[[:space:]]*Driver[[:space:]]\+"i810"/s/i810/intel/
-	/^[[:space:]]*Driver[[:space:]]\+"via"/s/via/openchrome/
+    LC_ALL=C sed -e'
+	/^[[:space:]]*Section[[:space:]]\+"Device"[[:space:]]*$/I,/^[[:space:]]*EndSection[[:space:]]*$/I {
+	/^[[:space:]]*Driver[[:space:]]\+"i810"/I s/i810/intel/I
+	/^[[:space:]]*Driver[[:space:]]\+"via"/I s/via/openchrome/I
 	}
 	' $XORGCONFIG > ${XORGCONFIG}.madwizard-new
     if ! cmp -s $XORGCONFIG ${XORGCONFIG}.madwizard-new; then


Reply to: